<template>
	<div v-loading="loading">
	</div>
</template>
<script>
	import { ehrLogin } from '@/api/sso/ssoLogin';
	import {setToken} from '@/utils/auth'
	export default {
		data() {
			return {
				//遮罩
      			loading: false
			}
		},
		methods: {
		},
		async created() {
			this.$modal.loading("正在前往DRP调拨订单拉单页面...");
			let query = this.$route.query;
			ehrLogin(query.staffCode).then(res => {
				if (res.code === 200) {
					let token = res.token;
					setToken(token);
					this.$store.commit('SET_TOKEN', token)
					this.$store.dispatch("GetInfo").then(
						this.$router.push({ path: "/business/purchase/form/transferOrder/bipPull",replace:true})
					)
					this.$modal.closeLoading();
				}
			})
		}
	}
</script>